%{


/*
 * Meva
 * Version:  0.1
 * Copyright (C) 1997  Dedieu Sebastien
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


#include <stdlib.h>
#include <stdio.h>
#include <assert.h>
#include <string.h>

int line=1;

%}

%%


[_a-zA-Z][_a-zA-Z0-9]* { yylval=strdup(yytext);  return STRING; }
"\*"                   { return '*'; }
"\n"                   { line++; }
"("                    { return '('; }
")"                    { return ')'; }
";"                    { return ';'; }
","                    { return ','; }
" "                    { }
"\t"                   { }
.                      { fprintf(stderr, "Error, line %d, unknown character '%c'.\n", line, yytext[0]); }


%%


int yywrap()
{
  return 1;
}




